summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-libs/libgeotiff/Manifest1
-rw-r--r--sci-libs/libgeotiff/libgeotiff-1.5.1.ebuild64
2 files changed, 65 insertions, 0 deletions
diff --git a/sci-libs/libgeotiff/Manifest b/sci-libs/libgeotiff/Manifest
index 0510fbb403a..b066c25f70b 100644
--- a/sci-libs/libgeotiff/Manifest
+++ b/sci-libs/libgeotiff/Manifest
@@ -1,2 +1,3 @@
DIST libgeotiff-1.4.0.tar.gz 1517881 BLAKE2B 5340029481b1d529626170e61b73948a620cf24e86297178eb84a76e4988dd5bde2c278f995d39fa598a84eaaac69e93a62e7d091a77830c5fd16a43cb20a750 SHA512 1336e9b5345d69c47807f350d2f757c753543fecc477a6fc036743e78fbfca7b7f99db1b0fdf03e80418fbd4c66db100d04ac7c3338913f9a2b922b9c9f91f1b
DIST libgeotiff-1.4.1.tar.gz 1674928 BLAKE2B 6c83ca77728c40995bf262d165c8566573c995f0d0116a3756f688b5686ff6529295d3340afdd771268c80050fb81b10953f7ae7339c46ed23d44dbd73cf302d SHA512 4a68bd7b9adf7453fdcb8f98cdeb79289b5f21315d1ef91d54fcc01724c8d687d243826c05a5523bb08c930296335959d2290916d46b6d802e63ac9be727c628
+DIST libgeotiff-1.5.1.tar.gz 528083 BLAKE2B 24dd812c4b12a942b21640c031fd890bb2151f6dfedfd98d0b54cf41d6341ee4d352edd427d350f36542169f822a360f8d0c9f3bb13019a422db77f43e7bd893 SHA512 6599ec89dd39d975ba389584778dd084ded628d3304b302e3af25bb7d156cf583c56b52f1c89c253b041df43f99d6893190ee1556398dab1ba044f12ef8b8dc1
diff --git a/sci-libs/libgeotiff/libgeotiff-1.5.1.ebuild b/sci-libs/libgeotiff/libgeotiff-1.5.1.ebuild
new file mode 100644
index 00000000000..54b176ce753
--- /dev/null
+++ b/sci-libs/libgeotiff/libgeotiff-1.5.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+MY_P=${P/_rc/RC}
+
+DESCRIPTION="Library for reading TIFF files with embedded tags for geographic information"
+HOMEPAGE="http://geotiff.osgeo.org/"
+SRC_URI="http://download.osgeo.org/geotiff/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug doc static-libs"
+
+RDEPEND="
+ virtual/jpeg:=
+ >=media-libs/tiff-3.9.1:0
+ sci-libs/proj
+ sys-libs/zlib"
+
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )"
+
+S=${WORKDIR}/${MY_P/RC*/}
+
+DOCS=( README ChangeLog )
+
+src_prepare() {
+ default
+ sed -i \
+ -e "s:-O3::g" \
+ configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ --enable-debug=$(usex debug) \
+ --with-jpeg="${EPREFIX}"/usr/ \
+ --with-zip="${EPREFIX}"/usr/
+
+}
+src_compile() {
+ default
+
+ if use doc; then
+ mkdir -p docs/api || die
+ cp "${FILESDIR}"/Doxyfile Doxyfile || die
+ doxygen -u Doxyfile || die "updating doxygen config failed"
+ doxygen Doxyfile || die "docs generation failed"
+ fi
+}
+
+src_install() {
+ default
+
+ use doc && dohtml docs/api/*
+ find "${D}" -name '*.la' -delete || die
+}